%define upstream_name	 UNIVERSAL-require
%define upstream_version 0.18

# Filter bogus provide for perl(UNIVERSAL) (rpm 4.9 onwards)
%global __provides_exclude ^perl\\(UNIVERSAL\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Require modules from a variable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/UNIVERSAL/%{upstream_name}-%{upstream_version}.tar.gz

Conflicts:	    perl-UNIVERSAL-exports < 0.03-3mdk

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module creates a universal require() class method that will work with
every Perl module and is secure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-5.mga8
+ Revision: 1497963
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-4.mga7
+ Revision: 1272411
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1035550
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 967279
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 848606
- update to 0.18

* Sat Oct 18 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 788372
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-3.mga5
+ Revision: 748276
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 686762
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue May 06 2014 jquelin <jquelin> 0.170.0-1.mga5
+ Revision: 620793
- update to 0.17

* Mon Feb 10 2014 jquelin <jquelin> 0.160.0-1.mga5
+ Revision: 588814
- update to 0.16

* Mon Oct 21 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 537999
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 488247
- update to 0.15

* Sun Aug 25 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 471657
- update to 0.14

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 374535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 22692
- cleaning spec file
- imported package perl-UNIVERSAL-require

